import { ColorResolvable, Message } from "discord.js";
import { Song, SongLoader } from "../data/songLoader";
export interface VoiceOptions {
    fallback?: {
        no_channel?: string;
        stage_channel?: string;
        not_joinable?: string;
        internal?: string;
        reply?: boolean;
    };
}
export declare enum SongAppearance {
    EVERYWHERE = 0,
    RANDOM_ONLY = 1
}
export interface SongOptions {
    loader: SongLoader;
    category: string;
    appearance: SongAppearance;
    onPlay: string;
}
export interface DJCommands {
    play: {
        prefixes: string[];
        random_only?: boolean;
        reply?: boolean;
        onQueued: {
            tts: string;
            song: string;
        };
        search_fail?: string;
        search_multiple_result?: string;
        now_playing?: {
            send_embed: boolean;
            color?: ColorResolvable;
            title?: string;
            requested_by?: string;
            duration?: string;
            link?: string;
            click_here?: string;
            footer?: string;
        };
    };
    skip?: {
        prefixes: string[];
        already_empty?: string;
        react?: string;
    };
    clear?: {
        prefixes: string[];
        already_empty?: string;
        react?: string;
    };
    overrides?: {
        direct_youtube?: {
            admin_only: boolean;
            prefixes: string[];
            message: string;
            reply?: boolean;
        };
        play_any_song?: {
            admin_only: boolean;
            prefixes: string[];
        };
    };
}
export interface corgiQueueTTS {
    msg: Message;
    type: "TTS";
    content: string;
}
export interface corgiQueueSong {
    msg: Message;
    type: "SONG";
    song: Song;
    category: string;
}
export declare type corgiQueue = corgiQueueTTS | corgiQueueSong;
