import fs from "fs/promises";
import { sLogger } from "../logger";
import { timems } from "../utils";
import { Loader } from "./loader";
export class SongLoader extends Loader {
    data_path;
    data_key;
    constructor(data_path, data_key) {
        super();
        this.data_path = data_path;
        this.data_key = data_key;
        this.loadData();
    }
    async loadData() {
        try {
            const start = performance.now();
            const buffer = await fs.readFile(this.data_path);
            const obj = JSON.parse(buffer.toString());
            this.data = this.data_key ? obj[this.data_key] : obj;
            sLogger.log(`Successfully fetched ${this.data.length} songs from ${this.data_path} in ${timems(start)}`, "SUCCESS");
        }
        catch (err) {
            this.data = [];
            sLogger.log(`Can't load data from ${this.data_path}`, "ERROR");
        }
    }
}
