import { MessageResponse, SBotClient } from "../client";
import { StringLoader } from "../data";
export interface TriggerOptions {
    prefixes?: string[];
    mention?: boolean;
    keywords: string[] | StringLoader;
    keywords_exact_check?: boolean;
}
export interface responseOptions {
    loader: StringLoader;
    reply?: boolean;
    react?: string;
    audio?: boolean;
}
export interface ResponseOptions {
    trigger: TriggerOptions;
    response: responseOptions;
}
export declare class Response {
    private client?;
    setClient(client: SBotClient): void;
    private trigger;
    private response;
    private triggeredKeyword?;
    get triggered(): string | undefined;
    private returnedItem?;
    get lastReturned(): {
        refIndex: string;
        data: string;
    } | undefined;
    constructor(Options: ResponseOptions);
    isTrigger(message: string): boolean;
    getReply(): MessageResponse;
}
