import { Message, StageChannel, VoiceChannel } from "discord.js";
export declare enum VoiceValidateResult {
    OK = 0,
    NO_CHANNEL = 1,
    STAGE_CHANNEL = 2,
    NOT_JOINABLE = 3
}
export declare class VoiceControl {
    private handleDisconnect;
    private player;
    private guildID;
    private channelName;
    private voiceChannelID;
    isSameChannel(channel?: VoiceChannel | StageChannel | null): boolean;
    static validateUser(msg: Message): VoiceValidateResult;
    constructor(msg: Message, ignorePrivacy: boolean, handleDisconnect: () => void);
    destruct(): void;
    waitTillReady(mode: string): Promise<boolean>;
    private speakQueue;
    speak(content: string): Promise<boolean>;
    playSong(url: string, title: string, category: string): Promise<boolean>;
    forceSkip(): void;
}
